org.apache.tinkerpop.gremlin.jsr223

## Class AbstractGremlinScriptEngineFactory

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinScriptEngineFactory

- All Implemented Interfaces:
    ScriptEngineFactory, GremlinScriptEngineFactory
  Direct Known Subclasses:
    GremlinGroovyScriptEngineFactory, MockGremlinScriptEngineFactory

      public abstract class AbstractGremlinScriptEngineFactory
      extends Object
      implements GremlinScriptEngineFactory

  A simple base implementation of the `GremlinScriptEngineFactory`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GremlinScriptEngineManager` | `manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGremlinScriptEngineFactory(String engineName, String languageName, List<String> extensions, List<String> mimeTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEngineName()`
    `String` | `getEngineVersion()`
    `List<String>` | `getExtensions()`
    `String` | `getLanguageName()`
    `String` | `getLanguageVersion()`
    `List<String>` | `getMimeTypes()`
    `List<String>` | `getNames()`
    `Object` | `getParameter(String key)`
    `String` | `getProgram(String... statements)` Statements are concatenated together by a line feed.
    `void` | `setCustomizerManager(GremlinScriptEngineManager manager)` The factory should take the `Customizer` implementations made available by the manager and supply them to the `GremlinScriptEngine` implementation it creates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinScriptEngineFactory

      `getScriptEngine`

    - ### Methods inherited from interface javax.script.ScriptEngineFactory

      `getMethodCallSyntax, getOutputStatement`

- - ### Field Detail

    - #### manager

          protected GremlinScriptEngineManager manager

  - ### Constructor Detail

    - #### AbstractGremlinScriptEngineFactory

          public AbstractGremlinScriptEngineFactory(String engineName,
                                                    String languageName,
                                                    List<String> extensions,
                                                    List<String> mimeTypes)

  - ### Method Detail

    - #### setCustomizerManager

          public void setCustomizerManager(GremlinScriptEngineManager manager)

      Description copied from interface: `GremlinScriptEngineFactory`
      The factory should take the `Customizer` implementations made available by the manager and supply them to the `GremlinScriptEngine` implementation it creates.
      Specified by:
        `setCustomizerManager` in interface `GremlinScriptEngineFactory`

    - #### getEngineName

          public final String getEngineName()

      Specified by:
        `getEngineName` in interface `ScriptEngineFactory`

    - #### getEngineVersion

          public String getEngineVersion()

      Specified by:
        `getEngineVersion` in interface `ScriptEngineFactory`

    - #### getExtensions

          public List<String> getExtensions()

      Specified by:
        `getExtensions` in interface `ScriptEngineFactory`

    - #### getLanguageName

          public final String getLanguageName()

      Specified by:
        `getLanguageName` in interface `ScriptEngineFactory`

    - #### getLanguageVersion

          public String getLanguageVersion()

      Specified by:
        `getLanguageVersion` in interface `ScriptEngineFactory`

    - #### getMimeTypes

          public List<String> getMimeTypes()

      Specified by:
        `getMimeTypes` in interface `ScriptEngineFactory`

    - #### getNames

          public List<String> getNames()

      Specified by:
        `getNames` in interface `ScriptEngineFactory`

    - #### getParameter

          public Object getParameter(String key)

      Specified by:
        `getParameter` in interface `ScriptEngineFactory`

    - #### getProgram

          public String getProgram(String... statements)

      Statements are concatenated together by a line feed.
      Specified by:
        `getProgram` in interface `ScriptEngineFactory`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.